org.apache.ignite.internal.processors.cache.persistence

## Enum CacheDataRowAdapter.RowData

- java.lang.Object
- - java.lang.Enum<CacheDataRowAdapter.RowData>
  - - org.apache.ignite.internal.processors.cache.persistence.CacheDataRowAdapter.RowData

All Implemented Interfaces:
  Serializable, Comparable<CacheDataRowAdapter.RowData>

Enclosing class:
  CacheDataRowAdapter

    public static enum CacheDataRowAdapter.RowData
    extends Enum<CacheDataRowAdapter.RowData>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FULL`
`KEY_ONLY`
`NO_KEY`

### Method Summary

Methods
`static CacheDataRowAdapter.RowData` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheDataRowAdapter.RowData[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FULL

    public static final CacheDataRowAdapter.RowData FULL

#### KEY_ONLY

    public static final CacheDataRowAdapter.RowData KEY_ONLY

#### NO_KEY

    public static final CacheDataRowAdapter.RowData NO_KEY

### Method Detail

#### values

    public static CacheDataRowAdapter.RowData[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheDataRowAdapter.RowData c : CacheDataRowAdapter.RowData.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheDataRowAdapter.RowData valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017